> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hub2.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Merchant Balance

> Returns a summary of a merchant accounts balances (collection, transfer and transfer irt accounts) .



## OpenAPI

````yaml get /balance
openapi: 3.0.0
info:
  title: Hub2 Service · Api
  description: |-
    This is the Hub2 api reference |
          Please check https://docs.hub2.io/ for the full documentation |
          Rate limits of endpoints are here : https://docs.hub2.io/en/details/limits.html.
  version: 2.149.1
  contact:
    name: Hub2
    url: https://www.hub2.io/
    email: contact@hub2.io
servers: []
security: []
tags:
  - name: Payments
    description: >-
      Best known as the PAY-IN API, it provides endpoints for merchants to
      perform Hub2 PAY-IN transactions.
  - name: Transfers
    description: >-
      Best known as the PAY-OUT API, it provides endpoints for merchants to
      perform Hub2 PAY-OUT transactions.
  - name: IRT
    description: International Remittance Transfers
  - name: Balance
    description: ''
  - name: Webhooks
    description: ''
  - name: Provisioning
    description: ''
  - name: Payment on Terminal
    description: ''
  - name: Receipt
    description: ''
  - name: Sms
    description: ''
  - name: Data
    description: ''
  - name: Compliance
    description: ''
  - name: Recipient
    description: ''
  - name: Delegation
    description: ''
  - name: Deposits
    description: ''
  - name: Payment Links
    description: ''
  - name: Submerchants
    description: ''
paths:
  /balance:
    get:
      tags:
        - Balance
      summary: Check Merchant Balance
      description: >-
        Returns a summary of a merchant accounts balances (collection, transfer
        and transfer irt accounts) .
      operationId: BalanceController_getBalances
      parameters:
        - name: date
          required: false
          in: query
          description: |-
            Get balance at Datetime in UTC timezone.
                  Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).
          schema:
            example: '2020-10-15T12:16:26.128Z'
            type: string
        - name: currency
          required: false
          in: query
          description: >-
            Three-letter [ISO currency
            code](https://www.iso.org/iso-4217-currency-codes.html).
          schema:
            example: XOF
            type: string
        - name: ApiKey
          in: header
          description: >-
            Your api key. To create a key, please get into our dashboard. If you
            don't have access to it, please reach the Support team.
          required: true
          schema:
            type: string
        - name: MerchantId
          in: header
          description: >-
            Your merchant ID. This information is available in our dashboard. If
            you don't have access to it, please reach the Support team.
          required: true
          schema:
            type: string
        - name: Environment
          in: header
          description: >-
            Allow you to choose between the sandbox mode to perform some tests
            or the live mode for real world transactions.
          required: true
          schema:
            enum:
              - live
              - sandbox
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalancesDto'
        '401':
          description: Wrong credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUnauthorizedErrorAlias'
        '429':
          description: 'ThrottlerException: Too Many Requests'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTooManyRequestErrorAlias'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInternalErrorAlias'
components:
  schemas:
    BalancesDto:
      type: object
      properties:
        collectionAccount:
          description: Collection account balance(s).
          type: array
          items:
            $ref: '#/components/schemas/CollectionBalanceDtoAlias'
        transferAccount:
          description: Transfer account balance(s).
          type: array
          items:
            $ref: '#/components/schemas/TransferBalanceDtoAlias'
        transferIrtAccount:
          description: IRT Transfer account balance(s).
          type: array
          items:
            $ref: '#/components/schemas/TransferBalanceDtoAlias'
      required:
        - collectionAccount
        - transferAccount
        - transferIrtAccount
    ApiUnauthorizedErrorAlias:
      type: object
      properties:
        status:
          type: number
          description: HTTP error code.
          example: 401
        error:
          description: HTTP error description.
          allOf:
            - $ref: '#/components/schemas/InternalApiUnauthorizedError'
      required:
        - status
        - error
    ApiTooManyRequestErrorAlias:
      type: object
      properties:
        status:
          type: number
          description: status
          enum:
            - 429
          example: 429
        error:
          type: string
          description: Error
          example: 'ThrottlerException: Too Many Requests'
      required:
        - status
        - error
    ApiInternalErrorAlias:
      type: object
      properties:
        type:
          type: string
          description: The type of this error.
          example: internal_error
        code:
          type: string
          description: The error code for this error.
          example:
            - internal_error
            - wrong_credentials
            - not_granted
            - live_mode_not_granted
            - invalid_sandbox_msisdn
            - invalid_url
            - orange_invalid_url
            - wrong_provider
            - override_business_name
            - do_not_override_business_name
        message:
          type: string
          description: The error message describing what happens to throw this error.
          example: An error occurred on our system. Please try again later.
      required:
        - type
        - code
        - message
    CollectionBalanceDtoAlias:
      type: object
      properties:
        amount:
          type: number
          description: >-
            Deprecated. Prefer usage of "availableBalance".  Balance amount. A
            positive integer in the smallest currency unit (e.g., 100 cents
            represents €1.00 or 100 represents FCFA100, a zero-decimal
            currency).
          example: 100
          deprecated: true
        availableBalance:
          type: number
          description: >-
            Balance amount. A positive integer in the smallest currency unit
            (e.g., 100 cents represents €1.00 or 100 represents FCFA100, a
            zero-decimal currency).
          example: 100
        currency:
          type: string
          description: >-
            Three-letter [ISO currency
            code](https://www.iso.org/iso-4217-currency-codes.html).
          example: XOF
        date:
          type: string
          description: >-
            Datetime in UTC timezone at which the balance was successfully
            retrieved.
                  Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).
          example: '2020-10-15T12:16:26.128Z'
      required:
        - amount
        - availableBalance
        - currency
        - date
    TransferBalanceDtoAlias:
      type: object
      properties:
        availableBalance:
          type: number
          description: |-
            Funds immediately available on the account.
                A positive integer in the smallest currency unit (e.g., 100 cents represents €1.00 or 100 represents FCFA100, a zero-decimal currency).
          example: 100
        reservedBalance:
          type: number
          description: >-
            Funds currently reserved for processing transactions. According to
            the result of the transactions, a part of the reserved funds can be
            released and returned available.
                A positive integer in the smallest currency unit (e.g., 100 cents represents €1.00 or 100 represents FCFA100, a zero-decimal currency).
          example: 100
        currency:
          type: string
          description: >-
            Three-letter [ISO currency
            code](https://www.iso.org/iso-4217-currency-codes.html).
          example: XOF
        date:
          type: string
          description: >-
            Datetime in UTC timezone at which the balance was successfully
            retrieved.
                  Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).
          example: '2020-10-15T12:16:26.128Z'
        amount:
          type: number
          description: >-
            Balance amount. A positive integer in the smallest currency unit
            (e.g., 100 cents represents €1.00 or 100 represents FCFA100, a
            zero-decimal currency).
          example: 100
      required:
        - availableBalance
        - reservedBalance
        - currency
        - date
        - amount
    InternalApiUnauthorizedError:
      type: object
      properties:
        type:
          type: string
          description: The type of this error.
          example: authorization_error
        code:
          type: string
          description: The internal error code describing what happened.
          enum:
            - bad_payment_intent_token
            - wrong_credentials
          example: wrong_credentials
        message:
          type: string
          description: Detailed error message which describe what happened.
          example: L'ID marchand et/ou la clé d'API sont incorrects.
      required:
        - type
        - code
        - message

````